# Update an existing webhook Updates an existing webhook using the webhook object ID. Endpoint: PUT /webhooks/{webhookId} Version: 2018-02-08 Security: APIKeyHeader ## Path parameters: - `webhookId` (string, required) Object ID of the webhook to retrieve ## Request fields (application/json): - `event` (string, required) Type of event that triggers the webhook. Enum: "transaction_created", "transaction_updated", "track_updated", "batch_created", "batch_purchased", "all" - `url` (string, required) URL webhook events are sent to. Example: "https://example.com/shippo-webhook" - `active` (boolean) Determines whether the webhook is active or not. Example: true - `is_test` (boolean) Determines whether the webhook is a test webhook or not. ## Response 200 fields (application/json): - `event` (string, required) Type of event that triggers the webhook. Example: "track_updated" - `url` (string, required) URL webhook events are sent to. Example: "https://example.com/shippo-webhook" - `active` (boolean) Determines whether the webhook is active or not. Example: true - `is_test` (boolean) Determines whether the webhook is a test webhook or not. - `object_created` (string) Timestamp of the creation of the webhook. - `object_id` (string) Unique identifier of the webhook. This can be used to retrieve or delete the webhook. - `object_updated` (string) Timestamp of the last update of the webhook. - `object_owner` (string) Username of the user who created the webhook.